# advent.py
# $Rev$
# Copyright (c) 2015 Able Systems Limited. All rights reserved.
'''This simple code example is provided as-is, and is for demonstration
purposes only. Able Systems takes no responsibility for any system
implementations based on this code.

This code is based on image_print.py, but has the following
modifications:
    * System date is read
    * Day number is used to reference an image
    * Result is an advent calendar different image is printed each day
    * ...without the chocolates.
    
All icon art by Icons8.
http://icons8.com
Licence URL: http://icons8.com/license

Copyright (c) 2015, Able Systems Ltd. All rights reserved.
'''

DECEMBER = 12
CHRISTMAS = 25
import image_print
import sys
import logging
import platform
from datetime import datetime

def main():        
    '''This is the main loop where arguments are parsed, connections
     are established, images are processed and the result is
    printed out.
    '''
    if sys.version_info[0] != 2:
        sys.exit('This application requires python 2.')

    if platform.system() != 'Linux':
        sys.exit('This script has only been written for Linux')
    if(datetime.now().month==DECEMBER):
        advent_day = datetime.now().day
        if(advent_day<=CHRISTMAS):          
            image_print.send_to_printer("{}.png".format(advent_day))
        else:
            print("It's after Christmas!")

    else:
        print("It's not December!") 
if __name__ == '__main__':
    main()

